ReducingKeyIterator (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class ReducingKeyIterator

    java.lang.Object
      org.apache.cassandra.io.sstable.ReducingKeyIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

    public class ReducingKeyIterator

extends java.lang.Object
implements CloseableIterator<DecoratedKey>

Caller must acquire and release references to the sstables used here.

Constructor Summary
`ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)`

Method Summary
`void` | `close()`
`long` | `getBytesRead()`
`java.lang.String` | `getTaskType()`
`long` | `getTotalBytes()`
`boolean` | `hasNext()`
`DecoratedKey<?>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReducingKeyIterator

    public ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

### getTotalBytes

    public long getTotalBytes()

### getBytesRead

    public long getBytesRead()

### getTaskType

    public java.lang.String getTaskType()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<DecoratedKey>`

### next

    public DecoratedKey<?> next()

  Specified by:
    `next` in interface `java.util.Iterator<DecoratedKey>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<DecoratedKey>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation